
%global meadversion 2.6.0
%global namedversion 2.6.0.redhat-7
%global meadalpha .redhat_7
%global meadrel .1
%global serial 1
%global namedversionrel redhat-7

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package apache-commons-lang2}
%{!?scl:%global pkg_name %{name}}
%global jarver  2

%define maven_version 2.6.0.redhat-7

Name:           %{?scl_prefix}apache-commons-lang2
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Commons Lang
Group:          Development/Java

%if %with mead
Source100: commons-lang-2.6.0.redhat-7-scm-sources.zip
Source102: commons-lang-2.6.0.redhat-7-test-sources.jar
Source103: commons-lang-2.6.0.redhat-7-source-release.zip
Source104: commons-lang-2.6.0.redhat-7.jar
Source105: commons-lang-2.6.0.redhat-7-javadoc.jar
Source106: commons-lang-2.6.0.redhat-7-sources.jar
Source107: commons-lang-2.6.0.redhat-7-src.zip
Source108: commons-lang-2.6.0.redhat-7-bin.zip
Source109: commons-lang-2.6.0.redhat-7-bin.tar.gz
Source110: commons-lang-2.6.0.redhat-7-src.tar.gz
Source111: commons-lang-2.6.0.redhat-7-tests.jar
Source112: commons-lang-2.6.0.redhat-7.pom
Source113: commons-lang-2.6.0.redhat-7-project-sources.tar.gz
%endif

License:        ASL 2.0
URL:            http://commons.apache.org/lang/
Provides:       %{?scl_prefix}commons-lang2 = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Commons Lang, a package of Java utility classes for the classes
that are in java.lang's hierarchy, or are considered to be so standard
as to justify existence in java.lang.

%if %with javadoc
%package javadoc
Summary:        Javadoc for commons-lang
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n commons-lang -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/commons-lang-%{namedversion}.jar %{buildroot}%{_javadir}/commons-lang-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/commons-lang-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/commons-lang-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/commons-lang-%{namedversion}-sources.jar %{buildroot}%{_javadir}/commons-lang-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/commons-lang-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/commons-lang-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/commons-lang-%{namedversion} -x META-INF/\*
%{__ln_s} commons-lang-%{namedversion} %{buildroot}%{_javadocdir}/commons-lang
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt NOTICE.txt RELEASE-NOTES.txt
%{_javadir}/commons-lang-%{namedversion}.jar
%{_javadir}/commons-lang.jar
%if %with javadoc
%{_javadir}/commons-lang-%{namedversion}-javadoc.jar
%{_javadir}/commons-lang-javadoc.jar
%endif
%{_javadir}/commons-lang-%{namedversion}-sources.jar
%{_javadir}/commons-lang-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/commons-lang-%{namedversion}
%{_javadocdir}/commons-lang
%endif

%changelog
* Tue Sep 25 2018 Yong Yang <yyang@redhat.com> - 2.6.0-1.redhat_7.1
-  2.6.0.redhat-7 

* Tue Sep 25 2018 Yong Yang <yyang@redhat.com> - 2.6.0-1.redhat_7.1
- release

